<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.business.qcrk.mapper.DataCrkywZcDefaultMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.business.qcrk.entity.DataCrkywZcDefault">
                    <id column="DataID" property="DataID" />
                    <result column="UnitID" property="UnitID" />
                    <result column="PeriodID" property="PeriodID" />
                    <result column="RoundID" property="RoundID" />
                    <result column="ModifyDate" property="ModifyDate" />
                    <result column="builder" property="builder" />
                    <result column="UPDATE_TIME" property="updateTime" />
                    <result column="DeptID" property="DeptID" />
                    <result column="SytelInfoID" property="SytelInfoID" />
                    <result column="BuildDate" property="BuildDate" />
                    <result column="editor" property="editor" />
                    <result column="bizno" property="bizno" />
                    <result column="preorder" property="preorder" />
                    <result column="showorder" property="showorder" />
                    <result column="cyr" property="cyr" />
                    <result column="cph" property="cph" />
                    <result column="ccsslx" property="ccsslx" />
                    <result column="zyjssj" property="zyjssj" />
                    <result column="zykssj" property="zykssj" />
                    <result column="sjcf" property="sjcf" />
                    <result column="bgy" property="bgy" />
                    <result column="sjhw" property="sjhw" />
                    <result column="bzwdjzl" property="bzwdjzl" />
                    <result column="bzwjs" property="bzwjs" />
                    <result column="bzfs" property="bzfs" />
                    <result column="bzwkl" property="bzwkl" />
                    <result column="xcks" property="xcks" />
                    <result column="xckl" property="xckl" />
                    <result column="xckz" property="xckz" />
                    <result column="xckqt" property="xckqt" />
                    <result column="xckbfb" property="xckbfb" />
                    <result column="sjhwmc" property="sjhwmc" />
                    <result column="sjcfidmc" property="sjcfidmc" />
                    <result column="zyf" property="zyf" />
                    <result column="zyz" property="zyz" />
                    <result column="zyd" property="zyd" />
                    <result column="zcsj" property="zcsj" />
                    <result column="bz" property="bz" />
        </resultMap>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  data_crkyw_zc_default
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>

</mapper>